Top

Is VirusBarrier X6 Compatible with macOS Mojave?

No. VirusBarrier X6 is no longer supported with macOS Mojave 10.14.0 or higher. Please download and install the free upgrade to VirusBarrier X9 using the link below:

Download Mac Internet Security X9 including VirusBarrier X9

Have more questions? Submit a request

Comments